## git-cola 3.3

=== Makefile ===
# The default target of this Makefile is...
all::

# Development
# -----------
# make V=1                      # generate files; V=1 increases verbosity
# make test [flags=...]         # run tests; flags=-x fails fast
# make test V=2                 # V=2 increases test verbosity
# make doc                      # build docs
# make flake8                   # python style checks
# make pylint [color=1]         # run pylint; color=1 colorizes output
# make pylint3k [color=1]       # run python2+3 compatibility checks
# make format file=<filename>   # run the yapf python formatter on <filename>
# make check [color=1]          # run test, doc, flake8, pylint3k, and pylint
# make check file=<filename>    # run checks on <filename>
#
# Release Prep
# ------------
# make pot      # update main translation template
# make po       # merge translations
# make mo       # generate message files
# make i18n     # all three of the above
#
# Installation
# ------------
# make prefix=<path> install
# DESTDIR is also supported.
#
# To disable distutil's replacement of "#!/usr/bin/env python" with
# the path to the build environment's python, pass USE_ENV_PYTHON=1
# when invoking make.
#
# The external commands used by this Makefile are...
CTAGS = ctags
CP = cp
FIND = find
FLAKE8 = flake8
GIT = git
GZIP = gzip
LN = ln
LN_S = $(LN) -s -f
MARKDOWN = markdown
MKDIR_P = mkdir -p
PIP = pip
PYLINT = pylint
PYTHON = python
PYTEST ?= $(PYTHON) -m pytest
RM = rm -f
RM_R = rm -fr
RMDIR = rmdir
TAR = tar
TOX ?= tox
YAPF = yapf

# Flags
# -----
ifdef V
    VERBOSE = --verbose
    ifeq ($(V),2)
        TEST_VERBOSE = --verbose
        VERBOSE_SHORT = -vv
    else
        VERBOSE_SHORT = -v
    endif
else
    QUIET = --quiet
endif

FLAKE8_FLAGS = $(VERBOSE)
FLAKE8_FLAGS += --max-line-length=80
FLAKE8_FLAGS += --format=pylint
FLAKE8_FLAGS += --doctests

PYTEST_FLAGS = $(QUIET) $(TEST_VERBOSE)
PYTEST_FLAGS += --doctest-modules

TOX_FLAGS = $(VERBOSE_SHORT) --develop --skip-missing-interpreters

PYLINT_FLAGS = --rcfile=.pylintrc
PYLINT_FLAGS += --score=no
ifdef color
    PYLINT_FLAGS += --output-format=colorized
endif


# These values can be overridden on the command-line or via config.mak
prefix = $(HOME)
bindir = $(prefix)/bin
datadir = $(prefix)/share/git-cola
coladir = $(datadir)/lib
hicolordir = $(prefix)/share/icons/hicolor/scalable/apps
# DESTDIR =

cola_base := git-cola
cola_app_base= $(cola_base).app
cola_app = $(CURDIR)/$(cola_app_base)
cola_version = $(shell $(PYTHON) bin/git-cola version --brief)
cola_dist := $(cola_base)-$(cola_version)

SETUP ?= $(PYTHON) setup.py

build_args += build
ifdef USE_ENV_PYTHON
    build_args += --use-env-python
endif

install_args += install
install_args += --prefix="$(prefix)"
install_args += --force
install_args += --install-scripts="$(bindir)"
install_args += --record=build/MANIFEST
install_args += --install-lib="$(coladir)"
ifdef DESTDIR
    install_args += --root="$(DESTDIR)"
    export DESTDIR
endif
export prefix

# If NO_VENDOR_LIBS is specified on the command line then pass it to setup.py
ifdef NO_VENDOR_LIBS
    install_args += --no-vendor-libs
endif

PYTHON_DIRS = cola
PYTHON_DIRS += test

ALL_PYTHON_DIRS = $(PYTHON_DIRS)
ALL_PYTHON_DIRS += extras

PYTHON_SOURCES = bin/git-cola
PYTHON_SOURCES += bin/git-dag
PYTHON_SOURCES += share/git-cola/bin/git-xbase
PYTHON_SOURCES += setup.py

# User customizations
-include config.mak

all:: build
.PHONY: all

build_version:
	@GIT=$(GIT) ./extras/generate-build-version.sh 2>/dev/null || true
.PHONY: build_version

build: build_version
	$(SETUP) $(QUIET) $(VERBOSE) $(build_args)
.PHONY: build

install: all
	$(SETUP) $(QUIET) $(VERBOSE) $(install_args)
	$(MKDIR_P) "$(DESTDIR)$(hicolordir)"
	$(LN_S) "$(datadir)/icons/git-cola.svg" \
		"$(DESTDIR)$(hicolordir)/git-cola.svg"
	$(LN_S) git-cola "$(DESTDIR)$(bindir)/cola"
	$(RM_R) "$(DESTDIR)$(coladir)/git_cola"*
	$(RM_R) git_cola.egg-info
.PHONY: install

# Maintainer's dist target
dist:
	$(GIT) archive --format=tar --prefix=$(cola_dist)/ HEAD^{tree} | \
		$(GZIP) -f -9 - >$(cola_dist).tar.gz
.PHONY: dist

doc:
	$(MAKE) -C share/doc/git-cola all
.PHONY: doc

html:
	$(MAKE) -C share/doc/git-cola html
.PHONY: html

man:
	$(MAKE) -C share/doc/git-cola man
.PHONY: man

install-doc:
	$(MAKE) -C share/doc/git-cola install
.PHONY: install-doc

install-html:
	$(MAKE) -C share/doc/git-cola install-html
.PHONY: install-html

install-man:
	$(MAKE) -C share/doc/git-cola install-man
.PHONY: install-man

uninstall:
	$(RM) "$(DESTDIR)$(prefix)"/bin/git-cola
	$(RM) "$(DESTDIR)$(prefix)"/bin/git-dag
	$(RM) "$(DESTDIR)$(prefix)"/bin/cola
	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-cola.desktop
	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-cola-folder-handler.desktop
	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-dag.desktop
	$(RM) "$(DESTDIR)$(prefix)"/share/appdata/git-dag.appdata.xml
	$(RM) "$(DESTDIR)$(prefix)"/share/appdata/git-cola.appdata.xml
	$(RM) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable/apps/git-cola.svg
	$(RM_R) "$(DESTDIR)$(prefix)"/share/doc/git-cola
	$(RM_R) "$(DESTDIR)$(prefix)"/share/git-cola
	$(RM) "$(DESTDIR)$(prefix)"/share/locale/*/LC_MESSAGES/git-cola.mo
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/applications 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/appdata 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/doc 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/locale/*/LC_MESSAGES 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/locale/* 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/locale 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable/apps 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/share 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)"/bin 2>/dev/null
	-$(RMDIR) "$(DESTDIR)$(prefix)" 2>/dev/null
.PHONY: uninstall

test: all
	$(PYTEST) $(PYTEST_FLAGS) $(flags) $(PYTHON_DIRS)
.PHONY: test

coverage:
	$(PYTEST) $(PYTEST_FLAGS) --cov=cola $(flags) $(PYTHON_DIRS)
.PHONY: coverage

clean:
	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
	$(FIND) $(ALL_PYTHON_DIRS) -name __pycache__ -print0 | xargs -0 rm -rf
	$(RM_R) build dist tags git-cola.app
	$(RM_R) share/locale
	$(MAKE) -C share/doc/git-cola clean
.PHONY: clean

tags:
	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
.PHONY: tags

# Update i18n files
i18n:: pot
i18n:: po
i18n:: mo
.PHONY: i18n

pot:
	$(SETUP) build_pot --build-dir=po --no-lang
.PHONY: pot

po:
	$(SETUP) build_pot --build-dir=po
.PHONY: po

mo:
	$(SETUP) build_mo --force
.PHONY: mo

git-cola.app:
	$(MKDIR_P) $(cola_app)/Contents/MacOS
	$(MKDIR_P) $(cola_app)/Contents/Resources
	$(CP) contrib/darwin/Info.plist contrib/darwin/PkgInfo \
	$(cola_app)/Contents
	$(CP) contrib/darwin/git-cola $(cola_app)/Contents/MacOS
	$(CP) contrib/darwin/git-cola.icns $(cola_app)/Contents/Resources
	$(MAKE) prefix=$(cola_app)/Contents/Resources install install-doc
.PHONY: git-cola.app

app-tarball: git-cola.app
	$(TAR) czf $(cola_dist).app.tar.gz $(cola_app_base)
.PHONY: app-tarball

# Preview the markdown using "make README.html"
%.html: %.md
	$(MARKDOWN) $< >$@

flake8:
	$(FLAKE8) $(FLAKE8_FLAGS) $(flags) \
	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS) contrib
.PHONY: flake8

pylint3k:
	$(PYLINT) $(PYLINT_FLAGS) --py3k $(flags) \
	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
.PHONY: pylint3k

pylint:
	$(PYLINT) $(PYLINT_FLAGS) $(flags) \
	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
.PHONY: pylint

# Pre-commit checks
ifdef file
check:
	$(FLAKE8) $(FLAKE8_FLAGS) $(flags) $(file)
	$(PYLINT) $(PYLINT_FLAGS) --output-format=colorized $(flags) $(file)
	$(PYLINT) $(PYLINT_FLAGS) --output-format=colorized --py3k $(flags) $(file)
else
check:: all
check:: test
check:: doc
check:: flake8
check:: pylint3k
check:: pylint
endif
.PHONY: check

format:
	$(YAPF) --in-place $(flags) $(file)
.PHONY: format

requirements:
	$(PIP) install --requirement requirements/requirements.txt
.PHONY: requirements

requirements-dev:
	$(PIP) install --requirement requirements/requirements-dev.txt
.PHONY: requirements-dev

tox:
	$(TOX) $(TOX_FLAGS) $(flags)
.PHONY: tox

=== requirements/requirements.txt ===
qtpy
Sphinx

=== debian/changelog ===
git-cola (3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 Feb 2019 19:55:06 +0000

=== debian/control ===
Source: git-cola
Section: vcs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3-nose
Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
Standards-Version: 4.3.0
Homepage: https://git-cola.github.com/
#Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

Package: git-cola
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, python3-sip, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
Recommends: gitk, xxdiff
Suggests: python3-pyinotify, python3-simplejson
Description: highly caffeinated git GUI
 Git-cola is a git GUI optimized for working with the git index. 
 .
 Git-cola can compare arbitrary commits using standard merge tools.
 With it you can search commit messages, content, authors, paths,
 data ranges etc. and it makes it easy to interactively edit the
 index.

=== debian/watch ===
version=4
https://github.com/git-cola/git-cola/tags .*/v?(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Thu, 22 Nov 2012 14:17:58 +0000

## git-cola 3.4

=== debian/changelog ===
git-cola (3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Jul 2019 19:22:54 +0000

## git-cola 3.5

=== debian/changelog ===
git-cola (3.5-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 29 Sep 2019 18:04:14 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), dh-python, python3-nose
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://git-cola.github.com/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

## git-cola 3.6

=== Makefile ===
--- 
+++ 
@@ -73,6 +73,10 @@
 
 PYTEST_FLAGS = $(QUIET) $(TEST_VERBOSE)
 PYTEST_FLAGS += --doctest-modules
+uname_S := $(shell uname -s)
+ifneq ($(uname_S),Linux)
+    PYTEST_FLAGS += --ignore=cola/inotify.py
+endif
 
 TOX_FLAGS = $(VERBOSE_SHORT) --develop --skip-missing-interpreters
 
@@ -271,16 +275,21 @@
 	$(MARKDOWN) $< >$@
 
 flake8:
+	$(FLAKE8) --version
 	$(FLAKE8) $(FLAKE8_FLAGS) $(flags) \
 	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS) contrib
 .PHONY: flake8
 
-pylint3k:
+pylint-version:
+	$(PYLINT) --version
+.PHONY: pylint-version
+
+pylint3k: pylint-version
 	$(PYLINT) $(PYLINT_FLAGS) --py3k $(flags) \
 	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
 .PHONY: pylint3k
 
-pylint:
+pylint: pylint-version
 	$(PYLINT) $(PYLINT_FLAGS) $(flags) \
 	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
 .PHONY: pylint

=== share/doc/git-cola/Makefile ===
prefix ?= $(CURDIR)
docdir ?= $(prefix)/share/doc/git-cola
htmldir ?= $(docdir)/html
mandir ?= $(prefix)/share/man/man1
# DESTDIR =

# External commands
INSTALL ?= install
MKDIR_P ?= mkdir -p
RSYNC ?= rsync
SED ?= sed

RSYNC_FLAGS = -r --delete --delete-excluded
RSYNC_FLAGS += --exclude=.buildinfo --exclude=.gitignore
RSYNC_CMD = $(RSYNC) $(RSYNC_FLAGS)

SPHINXOPTS =
SPHINXBUILD = sphinx-build
PAPER =

# Internal variables.
PAPEROPT_a4 = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: all help clean html man dirhtml pickle json
.PHONY: htmlhelp qthelp latex changes linkcheck doctest
.PHONY: install install-files install-html install-man

# The default target of this makefile is...
all:: html man

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  man       to make manual pages"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/doctrees _build/man _build/html/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) _build/man

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest

install: install-files install-html install-man

install-files:
	$(MKDIR_P) $(DESTDIR)$(docdir)
	$(INSTALL) -m 644 *.html $(DESTDIR)$(docdir)
	$(INSTALL) -m 644 *.rst $(DESTDIR)$(docdir)

install-html: install-files html
	$(MKDIR_P) $(DESTDIR)$(htmldir)
	$(RSYNC_CMD) _build/html/ $(DESTDIR)$(htmldir)/

install-man: man
	$(MKDIR_P) $(DESTDIR)$(mandir)
	$(INSTALL) -m 644 _build/man/git-cola.1 $(DESTDIR)$(mandir)
	$(INSTALL) -m 644 _build/man/git-dag.1 $(DESTDIR)$(mandir)

=== debian/changelog ===
git-cola (3.6-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Dec 2019 15:54:01 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python3-nose
+Build-Depends: debhelper-compat (= 11), dh-python, python3-nose
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://git-cola.github.com/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
@@ -12,7 +12,7 @@
 Package: git-cola
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, python3-sip, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
-Recommends: gitk, xxdiff
+Recommends: gitk, xxdiff, tclsh
 Suggests: python3-pyinotify, python3-simplejson
 Description: highly caffeinated git GUI
  Git-cola is a git GUI optimized for working with the git index.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export GIT_COLA_NO_VENDOR_LIBS=1

package=git-cola
PKGDIR=$(CURDIR)/debian/$(package)
HTMLDIR=$(PKGDIR)/usr/share/doc/git-cola/html

override_dh_auto_test:

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	PYTHON=python3 $(MAKE) all doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	find . -name "*.pyc" -delete
	rm -f $(CURDIR)/share/doc/git-cola/_build/html/.buildinfo

install: build
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	PYTHON=python3 $(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
#!/usr/bin/env python
	sed -i 's|env python|env python3|' \
		$(PKGDIR)/usr/share/git-cola/bin/git-xbase
	find . -name "*.pyc" -delete
	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py
#	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/qtpy/py3compat.py
	mkdir $(PKGDIR)/usr/share/metainfo/
	mv $(PKGDIR)/usr/share/appdata/*.xml $(PKGDIR)/usr/share/metainfo/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -XCHANGELOG
	rm -r $(PKGDIR)/usr/share/doc/git-cola/html/sources/
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_python3
#	dh_link /usr/share/javascript/jquery/jquery.js \
#		/usr/share/doc/git-cola/html/_static/jquery.js
	rm $(PKGDIR)/usr/share/doc/git-cola/html/static/jquery.js
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/git-cola/html/static/jquery.js
	rm $(PKGDIR)/usr/share/doc/git-cola/html/static/underscore.js
	dh_link /usr/share/javascript/underscore/underscore.js \
		/usr/share/doc/git-cola/html/static/underscore.js
	sed -i "s|https://cdnjs.\+modernizr.min.js|/usr/share/javascript/modernizr/modernizr.min.js|" \
		$(HTMLDIR)/*.html
	dh_strip
	dh_compress -Xobjects.inv
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install override_dh_auto_test

=== debian/watch ===
version=4
https://github.com/git-cola/git-cola/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Thu, 22 Nov 2012 14:17:58 +0000

## git-cola 3.7

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # make flake8                   # python style checks
 # make pylint [color=1]         # run pylint; color=1 colorizes output
 # make pylint3k [color=1]       # run python2+3 compatibility checks
-# make format file=<filename>   # run the yapf python formatter on <filename>
+# make format                   # run the black python formatter
 # make check [color=1]          # run test, doc, flake8, pylint3k, and pylint
 # make check file=<filename>    # run checks on <filename>
 #
@@ -31,10 +31,12 @@
 # when invoking make.
 #
 # The external commands used by this Makefile are...
+BLACK = black
 CTAGS = ctags
 CP = cp
 FIND = find
 FLAKE8 = flake8
+GREP = grep
 GIT = git
 GZIP = gzip
 LN = ln
@@ -44,13 +46,13 @@
 PIP = pip
 PYLINT = pylint
 PYTHON = python
-PYTEST ?= $(PYTHON) -m pytest
+PYTEST = $(PYTHON) -m pytest
 RM = rm -f
 RM_R = rm -fr
 RMDIR = rmdir
 TAR = tar
-TOX ?= tox
-YAPF = yapf
+TOX = tox
+XARGS = xargs
 
 # Flags
 # -----
@@ -67,9 +69,6 @@
 endif
 
 FLAKE8_FLAGS = $(VERBOSE)
-FLAKE8_FLAGS += --max-line-length=80
-FLAKE8_FLAGS += --format=pylint
-FLAKE8_FLAGS += --doctests
 
 PYTEST_FLAGS = $(QUIET) $(TEST_VERBOSE)
 PYTEST_FLAGS += --doctest-modules
@@ -79,6 +78,7 @@
 endif
 
 TOX_FLAGS = $(VERBOSE_SHORT) --develop --skip-missing-interpreters
+TOX_ENVS ?= py{27,34,35,36,37},pylint{2,36,37}
 
 PYLINT_FLAGS = --rcfile=.pylintrc
 PYLINT_FLAGS += --score=no
@@ -139,17 +139,18 @@
 # User customizations
 -include config.mak
 
+.PHONY: all
 all:: build
-.PHONY: all
-
+
+.PHONY: build_version
 build_version:
 	@GIT=$(GIT) ./extras/generate-build-version.sh 2>/dev/null || true
-.PHONY: build_version
-
+
+.PHONY: build
 build: build_version
 	$(SETUP) $(QUIET) $(VERBOSE) $(build_args)
-.PHONY: build
-
+
+.PHONY: install
 install: all
 	$(SETUP) $(QUIET) $(VERBOSE) $(install_args)
 	$(MKDIR_P) "$(DESTDIR)$(hicolordir)"
@@ -158,38 +159,38 @@
 	$(LN_S) git-cola "$(DESTDIR)$(bindir)/cola"
 	$(RM_R) "$(DESTDIR)$(coladir)/git_cola"*
 	$(RM_R) git_cola.egg-info
-.PHONY: install
 
 # Maintainer's dist target
+.PHONY: dist
 dist:
 	$(GIT) archive --format=tar --prefix=$(cola_dist)/ HEAD^{tree} | \
 		$(GZIP) -f -9 - >$(cola_dist).tar.gz
-.PHONY: dist
-
+
+.PHONY: doc
 doc:
 	$(MAKE) -C share/doc/git-cola all
-.PHONY: doc
-
+
+.PHONY: html
 html:
 	$(MAKE) -C share/doc/git-cola html
-.PHONY: html
-
+
+.PHONY: man
 man:
 	$(MAKE) -C share/doc/git-cola man
-.PHONY: man
-
+
+.PHONY: install-doc
 install-doc:
 	$(MAKE) -C share/doc/git-cola install
-.PHONY: install-doc
-
+
+.PHONY: install-html
 install-html:
 	$(MAKE) -C share/doc/git-cola install-html
-.PHONY: install-html
-
+
+.PHONY: install-man
 install-man:
 	$(MAKE) -C share/doc/git-cola install-man
-.PHONY: install-man
-
+
+.PHONY: uninstall
 uninstall:
 	$(RM) "$(DESTDIR)$(prefix)"/bin/git-cola
 	$(RM) "$(DESTDIR)$(prefix)"/bin/git-dag
@@ -216,46 +217,46 @@
 	-$(RMDIR) "$(DESTDIR)$(prefix)"/share 2>/dev/null
 	-$(RMDIR) "$(DESTDIR)$(prefix)"/bin 2>/dev/null
 	-$(RMDIR) "$(DESTDIR)$(prefix)" 2>/dev/null
-.PHONY: uninstall
-
+
+.PHONY: test
 test: all
 	$(PYTEST) $(PYTEST_FLAGS) $(flags) $(PYTHON_DIRS)
-.PHONY: test
-
+
+.PHONY: coverage
 coverage:
 	$(PYTEST) $(PYTEST_FLAGS) --cov=cola $(flags) $(PYTHON_DIRS)
-.PHONY: coverage
-
+
+.PHONY: clean
 clean:
-	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
-	$(FIND) $(ALL_PYTHON_DIRS) -name __pycache__ -print0 | xargs -0 rm -rf
+	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py[cod]' -print0 | $(XARGS) -0 $(RM)
+	$(FIND) $(ALL_PYTHON_DIRS) -name __pycache__ -print0 | $(XARGS) -0 $(RM_R)
 	$(RM_R) build dist tags git-cola.app
 	$(RM_R) share/locale
 	$(MAKE) -C share/doc/git-cola clean
-.PHONY: clean
-
+
+.PHONY: tags
 tags:
-	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
-.PHONY: tags
+	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py' -print0 | $($XARGS) -0 $(CTAGS) -f tags
 
 # Update i18n files
+.PHONY: i18n
 i18n:: pot
 i18n:: po
 i18n:: mo
-.PHONY: i18n
-
+
+.PHONY: pot
 pot:
 	$(SETUP) build_pot --build-dir=po --no-lang
-.PHONY: pot
-
+
+.PHONY: po
 po:
 	$(SETUP) build_pot --build-dir=po
-.PHONY: po
-
+
+.PHONY: mo
 mo:
 	$(SETUP) build_mo --force
-.PHONY: mo
-
+
+.PHONY: git-cola.app
 git-cola.app:
 	$(MKDIR_P) $(cola_app)/Contents/MacOS
 	$(MKDIR_P) $(cola_app)/Contents/Resources
@@ -264,37 +265,35 @@
 	$(CP) contrib/darwin/git-cola $(cola_app)/Contents/MacOS
 	$(CP) contrib/darwin/git-cola.icns $(cola_app)/Contents/Resources
 	$(MAKE) prefix=$(cola_app)/Contents/Resources install install-doc
-.PHONY: git-cola.app
-
+
+.PHONY: app-tarball
 app-tarball: git-cola.app
 	$(TAR) czf $(cola_dist).app.tar.gz $(cola_app_base)
-.PHONY: app-tarball
 
 # Preview the markdown using "make README.html"
 %.html: %.md
 	$(MARKDOWN) $< >$@
 
+.PHONY: flake8
 flake8:
 	$(FLAKE8) --version
 	$(FLAKE8) $(FLAKE8_FLAGS) $(flags) \
 	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS) contrib
-.PHONY: flake8
-
-pylint-version:
+
+.PHONY: pylint3k
+pylint3k:
 	$(PYLINT) --version
-.PHONY: pylint-version
-
-pylint3k: pylint-version
 	$(PYLINT) $(PYLINT_FLAGS) --py3k $(flags) \
 	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
-.PHONY: pylint3k
-
-pylint: pylint-version
+
+.PHONY: pylint
+pylint:
+	$(PYLINT) --version
 	$(PYLINT) $(PYLINT_FLAGS) $(flags) \
 	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
-.PHONY: pylint
 
 # Pre-commit checks
+.PHONY: check
 ifdef file
 check:
 	$(FLAKE8) $(FLAKE8_FLAGS) $(flags) $(file)
@@ -308,20 +307,26 @@
 check:: pylint3k
 check:: pylint
 endif
-.PHONY: check
-
+
+.PHONY: format
 format:
-	$(YAPF) --in-place $(flags) $(file)
-.PHONY: format
-
+	$(GIT) ls-files -- '*.py' | \
+	$(GREP) -v ^qtpy | \
+	$(XARGS) $(BLACK) --skip-string-normalization
+	$(BLACK) --skip-string-normalization $(PYTHON_SOURCES)
+
+.PHONY: requirements
 requirements:
 	$(PIP) install --requirement requirements/requirements.txt
-.PHONY: requirements
-
+
+.PHONY: requirements-dev
 requirements-dev:
 	$(PIP) install --requirement requirements/requirements-dev.txt
-.PHONY: requirements-dev
-
+
+.PHONY: tox
 tox:
 	$(TOX) $(TOX_FLAGS) $(flags)
-.PHONY: tox
+
+.PHONY: tox-check
+tox-check:
+	$(TOX) $(TOX_FLAGS) -e "$(TOX_ENVS)" $(flags)

=== debian/changelog ===
git-cola (3.7-2) unstable; urgency=medium

  * Remove python3-sip dependency (closes: #966031).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Jul 2020 11:15:00 +0200

git-cola (3.7-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 May 2020 20:15:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 11), dh-python, python3-nose
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://git-cola.github.com/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
 
 Package: git-cola
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, python3-sip, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
+Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
 Recommends: gitk, xxdiff, tclsh
 Suggests: python3-pyinotify, python3-simplejson
 Description: highly caffeinated git GUI

## git-cola 3.8

=== debian/changelog ===
git-cola (3.8-1) unstable; urgency=medium

  * New upstream release.
  * Link HTML5 Shiv JavaScript files to their respective ones in
    node-html5shiv.
  * Update packaging bits.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Sep 2020 16:55:40 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: git-cola
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
+Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, git-core, libjs-jquery, libjs-underscore, libjs-modernizr, node-html5shiv
 Recommends: gitk, xxdiff, tclsh
 Suggests: python3-pyinotify, python3-simplejson
 Description: highly caffeinated git GUI

## git-cola 3.9

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 MKDIR_P = mkdir -p
 PIP = pip
 PYLINT = pylint
-PYTHON = python
+PYTHON ?= python
 PYTEST = $(PYTHON) -m pytest
 RM = rm -f
 RM_R = rm -fr
@@ -91,7 +91,9 @@
 prefix = $(HOME)
 bindir = $(prefix)/bin
 datadir = $(prefix)/share/git-cola
-coladir = $(datadir)/lib
+python_lib := $(shell $(PYTHON) -c \
+    'import distutils.sysconfig as sc; print(sc.get_python_lib(prefix=""))')
+pythondir = $(prefix)/$(python_lib)
 hicolordir = $(prefix)/share/icons/hicolor/scalable/apps
 # DESTDIR =
 
@@ -113,14 +115,15 @@
 install_args += --force
 install_args += --install-scripts="$(bindir)"
 install_args += --record=build/MANIFEST
-install_args += --install-lib="$(coladir)"
 ifdef DESTDIR
     install_args += --root="$(DESTDIR)"
     export DESTDIR
 endif
 export prefix
 
-# If NO_VENDOR_LIBS is specified on the command line then pass it to setup.py
+ifdef NO_PRIVATE_LIBS
+    install_args += --no-private-libs
+endif
 ifdef NO_VENDOR_LIBS
     install_args += --no-vendor-libs
 endif
@@ -132,8 +135,8 @@
 ALL_PYTHON_DIRS += extras
 
 PYTHON_SOURCES = bin/git-cola
+PYTHON_SOURCES += bin/git-cola-sequence-editor
 PYTHON_SOURCES += bin/git-dag
-PYTHON_SOURCES += share/git-cola/bin/git-xbase
 PYTHON_SOURCES += setup.py
 
 # User customizations
@@ -157,8 +160,6 @@
 	$(LN_S) "$(datadir)/icons/git-cola.svg" \
 		"$(DESTDIR)$(hicolordir)/git-cola.svg"
 	$(LN_S) git-cola "$(DESTDIR)$(bindir)/cola"
-	$(RM_R) "$(DESTDIR)$(coladir)/git_cola"*
-	$(RM_R) git_cola.egg-info
 
 # Maintainer's dist target
 .PHONY: dist
@@ -193,30 +194,34 @@
 .PHONY: uninstall
 uninstall:
 	$(RM) "$(DESTDIR)$(prefix)"/bin/git-cola
+	$(RM) "$(DESTDIR)$(prefix)"/bin/git-cola-sequence-editor
 	$(RM) "$(DESTDIR)$(prefix)"/bin/git-dag
 	$(RM) "$(DESTDIR)$(prefix)"/bin/cola
 	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-cola.desktop
 	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-cola-folder-handler.desktop
 	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-dag.desktop
-	$(RM) "$(DESTDIR)$(prefix)"/share/appdata/git-dag.appdata.xml
-	$(RM) "$(DESTDIR)$(prefix)"/share/appdata/git-cola.appdata.xml
+	$(RM) "$(DESTDIR)$(prefix)"/share/metainfo/git-dag.appdata.xml
+	$(RM) "$(DESTDIR)$(prefix)"/share/metainfo/git-cola.appdata.xml
 	$(RM) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable/apps/git-cola.svg
 	$(RM_R) "$(DESTDIR)$(prefix)"/share/doc/git-cola
 	$(RM_R) "$(DESTDIR)$(prefix)"/share/git-cola
 	$(RM) "$(DESTDIR)$(prefix)"/share/locale/*/LC_MESSAGES/git-cola.mo
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/applications 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/appdata 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/doc 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/locale/*/LC_MESSAGES 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/locale/* 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/locale 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable/apps 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/share 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)"/bin 2>/dev/null
-	-$(RMDIR) "$(DESTDIR)$(prefix)" 2>/dev/null
+	$(RM_R) "$(DESTDIR)$(pythondir)"/git_cola-*
+	$(RM_R) "$(DESTDIR)$(pythondir)"/cola
+	$(RMDIR) -p "$(DESTDIR)$(pythondir)" 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/applications 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/metainfo 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/doc 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/locale/*/LC_MESSAGES 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/locale/* 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/locale 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable/apps 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/share 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)"/bin 2>/dev/null || true
+	$(RMDIR) "$(DESTDIR)$(prefix)" 2>/dev/null || true
 
 .PHONY: test
 test: all
@@ -312,8 +317,8 @@
 format:
 	$(GIT) ls-files -- '*.py' | \
 	$(GREP) -v ^qtpy | \
-	$(XARGS) $(BLACK) --skip-string-normalization
-	$(BLACK) --skip-string-normalization $(PYTHON_SOURCES)
+	$(XARGS) $(BLACK) --skip-string-normalization --target-version=py27
+	$(BLACK) --skip-string-normalization --target-version=py27 $(PYTHON_SOURCES)
 
 .PHONY: requirements
 requirements:

=== debian/changelog ===
git-cola (3.9-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Feb 2021 06:58:21 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Recommends: gitk, xxdiff, tclsh
 Suggests: python3-pyinotify, python3-simplejson
 Description: highly caffeinated git GUI
- Git-cola is a git GUI optimized for working with the git index. 
+ Git-cola is a git GUI optimized for working with the git index.
  .
  Git-cola can compare arbitrary commits using standard merge tools.
  With it you can search commit messages, content, authors, paths,

=== debian/watch ===
version=4
https://github.com/git-cola/git-cola/tags .*/v?(\d\S*)@ARCHIVE_EXT@
# Bart Martens <bartm@debian.org>  Thu, 22 Nov 2012 14:17:58 +0000

## git-cola 3.10.1

=== debian/changelog ===
git-cola (3.10.1-2) unstable; urgency=medium

  * Upload to Sid.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Oct 2021 19:59:21 +0200

git-cola (3.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Update homepage location.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Jul 2021 20:48:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 11), dh-python, python3-nose
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
 Standards-Version: 4.5.0
-Homepage: https://git-cola.github.com/
+Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

## git-cola 3.11.0

=== debian/changelog ===
git-cola (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Oct 2021 23:17:33 +0200

## git-cola 3.12.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Development
 # -----------
 # make V=1                      # generate files; V=1 increases verbosity
-# make test [flags=...]         # run tests; flags=-x fails fast
+# make test [flags=...]         # run tests; flags=-x fails fast, --ff failed first
 # make test V=2                 # V=2 increases test verbosity
 # make doc                      # build docs
 # make flake8                   # python style checks
@@ -44,9 +44,9 @@
 MARKDOWN = markdown
 MKDIR_P = mkdir -p
 PIP = pip
-PYLINT = pylint
 PYTHON ?= python
-PYTEST = $(PYTHON) -m pytest
+PYLINT = $(PYTHON) -B -m pylint
+PYTEST = $(PYTHON) -B -m pytest
 RM = rm -f
 RM_R = rm -fr
 RMDIR = rmdir
@@ -71,21 +71,22 @@
 FLAKE8_FLAGS = $(VERBOSE)
 
 PYTEST_FLAGS = $(QUIET) $(TEST_VERBOSE)
-PYTEST_FLAGS += --doctest-modules
 uname_S := $(shell uname -s)
 ifneq ($(uname_S),Linux)
     PYTEST_FLAGS += --ignore=cola/inotify.py
 endif
 
 TOX_FLAGS = $(VERBOSE_SHORT) --develop --skip-missing-interpreters
-TOX_ENVS ?= py{27,34,35,36,37},pylint{2,36,37}
-
+TOX_ENVS ?= py{27,36,37,38,39,lint}
+
+PYLINT_SCORE_FLAG := $(shell sh -c '$(PYLINT) --score=no --help >/dev/null 2>&1 && echo " --score=no" || true')
 PYLINT_FLAGS = --rcfile=.pylintrc
-PYLINT_FLAGS += --score=no
 ifdef color
     PYLINT_FLAGS += --output-format=colorized
 endif
-
+ifneq ($(PYLINT_SCORE_FLAGSCORE),)
+    PYLINT_FLAGS += $(PYLINT_SCORE_FLAG)
+endif
 
 # These values can be overridden on the command-line or via config.mak
 prefix = $(HOME)
@@ -100,7 +101,10 @@
 cola_base := git-cola
 cola_app_base= $(cola_base).app
 cola_app = $(CURDIR)/$(cola_app_base)
-cola_version = $(shell $(PYTHON) bin/git-cola version --brief)
+
+# Read $(VERSION) from cola/_version.py and strip quotes.
+include cola/_version.py
+cola_version := $(subst ',,$(VERSION))
 cola_dist := $(cola_base)-$(cola_version)
 
 SETUP ?= $(PYTHON) setup.py
@@ -160,12 +164,6 @@
 	$(LN_S) "$(datadir)/icons/git-cola.svg" \
 		"$(DESTDIR)$(hicolordir)/git-cola.svg"
 	$(LN_S) git-cola "$(DESTDIR)$(bindir)/cola"
-
-# Maintainer's dist target
-.PHONY: dist
-dist:
-	$(GIT) archive --format=tar --prefix=$(cola_dist)/ HEAD^{tree} | \
-		$(GZIP) -f -9 - >$(cola_dist).tar.gz
 
 .PHONY: doc
 doc:
@@ -305,10 +303,11 @@
 	$(PYLINT) $(PYLINT_FLAGS) --output-format=colorized $(flags) $(file)
 	$(PYLINT) $(PYLINT_FLAGS) --output-format=colorized --py3k $(flags) $(file)
 else
+# NOTE: flake8 is not part of "make check" because the pytest-flake8 plugin runs flake8
+# checks during "make test" via pytest.
 check:: all
 check:: test
 check:: doc
-check:: flake8
 check:: pylint3k
 check:: pylint
 endif
@@ -334,4 +333,4 @@
 
 .PHONY: tox-check
 tox-check:
-	$(TOX) $(TOX_FLAGS) -e "$(TOX_ENVS)" $(flags)
+	$(TOX) $(TOX_FLAGS) --parallel auto -e "$(TOX_ENVS)" $(flags)

=== requirements/requirements.txt ===
# These packages are required to run git-cola.
#
# Additional functionality can be enabled by installing the packages
# in "requirements-optional.txt".


# qtpy provides a PyQt4/PyQt5/PySide2 abstraction layer.
# Git Cola ships with a vendored copy of "qtpy", but can also be made
# to use a distro-provided qtpy package. See README.md for more details.

qtpy


# Git Cola can run with either PyQt5 or PySide2. You only need one of the two.
# Install one of the following packages. Git Cola is authored using PyQt5,
# but PySide2 (and even PyQt4) is also supported and should work in practice.

# PyQt5; python_version>='3.0'  # recommended
# PySide2

=== share/doc/git-cola/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 RSYNC_FLAGS += --exclude=.buildinfo --exclude=.gitignore
 RSYNC_CMD = $(RSYNC) $(RSYNC_FLAGS)
 
-SPHINXOPTS =
+SPHINXOPTS = -a
 SPHINXBUILD = sphinx-build
 PAPER =

=== debian/changelog ===
git-cola (3.12.0-2) unstable; urgency=medium

  * Remove python3-nose from Build-Depends (closes: #1018369).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 Sep 2022 15:53:51 +0200

git-cola (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Feb 2022 10:00:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-python, python3-nose
+Build-Depends: debhelper-compat (= 13), dh-python
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export GIT_COLA_NO_PRIVATE_LIBS=1
export GIT_COLA_NO_VENDOR_LIBS=1

package=git-cola
PKGDIR=$(CURDIR)/debian/$(package)
HTMLDIR=$(PKGDIR)/usr/share/doc/git-cola/html

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	PYTHON=python3 $(MAKE) all doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	find . -name "*.pyc" -delete
	rm -f $(CURDIR)/share/doc/git-cola/_build/html/.buildinfo

install: build
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	PYTHON=python3 $(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-man install-doc install-html
#!/usr/bin/env python
	sed -i 's|env python|env python3|' \
		$(PKGDIR)/usr/lib/python3*/site-packages/cola/widgets/spellcheck.py
	find . -name "*.pyc" -delete

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -XCHANGELOG
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_python3
	$(RM) $(PKGDIR)/usr/share/doc/git-cola/html/static/jquery.js
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/git-cola/html/static/jquery.js
	$(RM) $(PKGDIR)/usr/share/doc/git-cola/html/static/underscore.js
	dh_link /usr/share/javascript/underscore/underscore.js \
		/usr/share/doc/git-cola/html/static/underscore.js
	$(RM) $(PKGDIR)/usr/share/doc/git-cola/html/static/js/html5shiv.min.js
	dh_link /usr/share/nodejs/html5shiv/dist/html5shiv.min.js \
		/usr/share/doc/git-cola/html/static/js/html5shiv.min.js
	$(RM) $(PKGDIR)/usr/share/doc/git-cola/html/static/js/html5shiv-printshiv.min.js
	dh_link /usr/share/nodejs/html5shiv/dist/html5shiv-printshiv.min.js \
		/usr/share/doc/git-cola/html/static/js/html5shiv-printshiv.min.js
	sed -i "s|https://cdnjs.\+modernizr.min.js|/usr/share/javascript/modernizr/modernizr.min.js|" \
		$(HTMLDIR)/*.html
	dh_strip
	dh_compress -Xobjects.inv
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
